Bug 1311946 - (CVE-2016-0788) CVE-2016-0788 jenkins: Remote code execution vulnerability in remoting module (SECURITY-232)
CVE-2016-0788 jenkins: Remote code execution vulnerability in remoting module...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160224,repo...
: Security
Depends On: 1311951 1311952 1320309 1324676 1324677
Blocks: 1320308 1324911
  Show dependency treegraph
 
Reported: 2016-02-25 06:27 EST by Andrej Nemec
Modified: 2016-08-25 19:27 EDT (History)
15 users (show)

See Also:
Fixed In Version: Jenkins 1.650, Jenkins 1.642.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-25 19:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-25 06:27:24 EST
The following flaw was found in Jenkins:

A vulnerability in the Jenkins remoting module allowed unauthenticated remote attackers to open a JRMP listener on the server hosting the Jenkins master process, which allowed arbitrary code execution.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2016-02-24
Comment 3 errata-xmlrpc 2016-05-03 11:31:37 EDT
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 3.1

Via RHSA-2016:0711 https://access.redhat.com/errata/RHSA-2016:0711
Comment 4 errata-xmlrpc 2016-08-24 15:44:33 EDT
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 2.2

Via RHSA-2016:1773 https://rhn.redhat.com/errata/RHSA-2016-1773.html

Note You need to log in before you can comment on or make changes to this bug.